Storage
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
itemany ofRequired
or
or
or
or
typestring · enumOptionalPossible values:
Responses
200
Successful response
application/json
stringOptional
400
Invalid input data
application/json
401
Authorization not provided
application/json
403
Insufficient access
application/json
500
Internal server error
application/json
post/storage/store
POST /api/storage/store HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1025
{
"item": {
"@context": [
"text"
],
"id": "text",
"type": [
"text"
],
"issuer": "text",
"credentialSubject": {
"id": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"refreshService": {
"id": "text",
"type": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"credentialSchema": {
"id": "text",
"type": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"issuanceDate": "text",
"expirationDate": "text",
"credentialStatus": {
"type": "text",
"id": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"name": "text",
"description": "text",
"validFrom": "text",
"validUntil": "text",
"status": {
"type": "text",
"id": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"termsOfUse": {
"type": "text",
"id": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"evidence": {
"id": "text",
"type": [
"text"
],
"name": "text",
"narrative": "text",
"description": "text",
"genre": "text",
"audience": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"renderMethod": {
"type": "text",
"renderSuite": "text",
"template": "text",
"renderProperty": [
"text"
],
"outputPreference": {
"mediaType": "text"
}
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"type": "credential"
}textAuthorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
uristringRequired
challengestringOptional
Responses
200
Successful response
application/json
or
or
or
or
or
or
400
Invalid input data
application/json
401
Authorization not provided
application/json
403
Insufficient access
application/json
404
Not found
application/json
500
Internal server error
application/json
get/storage/resolve
GET /api/storage/resolve?uri=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"format": "w3c-vc-2.0",
"data": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
}Last updated
Was this helpful?